summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMatthew Thode <prometheanfire@gentoo.org>2017-08-27 19:29:58 -0500
committerMatthew Thode <prometheanfire@gentoo.org>2017-08-27 19:47:04 -0500
commit1ba06c4df841bc01669e6e38d3edaa80f00af638 (patch)
treeb0a14c8b5816835d2d1c04df803756be3ca32c40
parentdev-python/keystoneauth: 3.1.0 bup (diff)
downloadgentoo-1ba06c4df841bc01669e6e38d3edaa80f00af638.tar.gz
gentoo-1ba06c4df841bc01669e6e38d3edaa80f00af638.tar.bz2
gentoo-1ba06c4df841bc01669e6e38d3edaa80f00af638.zip
dev-python/keystonemiddleware: 4.17.0 bup
Package-Manager: Portage-2.3.6, Repoman-2.3.3
-rw-r--r--dev-python/keystonemiddleware/Manifest1
-rw-r--r--dev-python/keystonemiddleware/keystonemiddleware-4.17.0.ebuild86
2 files changed, 87 insertions, 0 deletions
diff --git a/dev-python/keystonemiddleware/Manifest b/dev-python/keystonemiddleware/Manifest
index 45b510fa232..d850b83d5c2 100644
--- a/dev-python/keystonemiddleware/Manifest
+++ b/dev-python/keystonemiddleware/Manifest
@@ -1,3 +1,4 @@
DIST keystonemiddleware-4.14.0.tar.gz 203369 SHA256 83bc4ec27983a496e3aad73440759aee47b258cc2a365cdd9c11082b7c1b3cfc SHA512 c221c59a865fb8d958ddf2f6b112465f6a66d499f7598becf7bf1dde6ad00675dc118ee353502452c640cfb5fa8d1029125ea912f69c1da3bc6f894387fed8af WHIRLPOOL 4397e940550155ce1a92c44e9bd6ee0bd0741323e02f746845c12cb5653d19c727c03058455a495c672fdff65244f7f7fbba0ff5771a44223a2c138b81e69134
+DIST keystonemiddleware-4.17.0.tar.gz 204603 SHA256 410efad8b5d639ff5ba08c32164116be1797d4caddafd49a9ec4adbf164971e8 SHA512 ead2eb829a2189efddb6cf0052d86d32eaca0ae7474cf0444640c0c976df66bc1cf61971891639b798ffb6745fb510fe6499e42e94cc60f2c2084ad7f06c7ab7 WHIRLPOOL 3425507e50176bb9fec62b12a744a4b4f9834d1bc5848c3bb7d65070c6023f406d6521ded2a2b4e35034d9acdf72f5ad6de9cedf96bd270e31d92d3359de990a
DIST keystonemiddleware-4.4.1.tar.gz 194711 SHA256 dff35f0e4acb77f34c9c880bd4f456bbe26a1c4701815d82e8c27ff74a5dfb52 SHA512 c04383836740222d49324cb5f25f8b156424abaa74ac9482a2deb2e1d54cc6d990a864451a075bc12c3d7d38da7235f236e8a8cfb4c3748953c14a4505eeb99f WHIRLPOOL 76a96e6140752cd8eb1d060591c5dec1181abf873c82595be89d9597e3c3e5d3344739fab6b8d0058ae2ab47863e5169d4bbcb4a83f46a24dea042c0ccfac8d0
DIST keystonemiddleware-4.9.1.tar.gz 196430 SHA256 93fa012c70b2ac5773ecf7185ef94a224ca70a32728ad7d07cf12540f507043b SHA512 baff23d86e8157a465646a23fba873739fe019319873d7385ba5ef843c4546d14919913648075122e56a3805f03b91b2a1b03c3206bcbd05a3540a58925a1d01 WHIRLPOOL 6103d6621bce0020672ef7a04d5191be9eb876ae0fc279e83402655136f8e132fa4aaaffcab06f789dbd73a3f9246ef567d6c5dc77b7c3b14e6760a3cf857f2f
diff --git a/dev-python/keystonemiddleware/keystonemiddleware-4.17.0.ebuild b/dev-python/keystonemiddleware/keystonemiddleware-4.17.0.ebuild
new file mode 100644
index 00000000000..810dedcd969
--- /dev/null
+++ b/dev-python/keystonemiddleware/keystonemiddleware-4.17.0.ebuild
@@ -0,0 +1,86 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=( python2_7 python3_4 python3_5 )
+
+inherit distutils-r1
+
+DESCRIPTION="A middleware for the OpenStack Keystone API"
+HOMEPAGE="https://github.com/openstack/keystonemiddleware"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="doc test"
+
+CDEPEND=">=dev-python/pbr-2.0.0[${PYTHON_USEDEP}]
+ !~dev-python/pbr-2.1.0"
+DEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ ${CDEPEND}
+ test? (
+ >=dev-python/coverage-4.0[${PYTHON_USEDEP}]
+ !~dev-python/coverage-4.4[${PYTHON_USEDEP}]
+ >=dev-python/cryptography-1.6[${PYTHON_USEDEP}]
+ >=dev-python/docutils-0.11[${PYTHON_USEDEP}]
+ >=dev-python/fixtures-3.0.0[${PYTHON_USEDEP}]
+ >=dev-python/mock-2.0.0[${PYTHON_USEDEP}]
+ >=dev-python/openstackdocstheme-1.11.0[${PYTHON_USEDEP}]
+ >=dev-python/oslotest-1.10.0[${PYTHON_USEDEP}]
+ >=dev-python/reno-1.8.0[${PYTHON_USEDEP}]
+ !~dev-python/reno-2.3.1[${PYTHON_USEDEP}]
+ >=dev-python/requests-mock-1.0.0[${PYTHON_USEDEP}]
+ >=dev-python/sphinx-1.6.2[${PYTHON_USEDEP}]
+ >=dev-python/stevedore-1.20.0[${PYTHON_USEDEP}]
+ >=dev-python/testrepository-0.0.18[${PYTHON_USEDEP}]
+ >=dev-python/testresources-0.2.4[${PYTHON_USEDEP}]
+ >=dev-python/testtools-1.4.0[${PYTHON_USEDEP}]
+ >=dev-python/python-memcached-1.56[${PYTHON_USEDEP}]
+ >=dev-python/bandit-1.1.0[${PYTHON_USEDEP}]
+ )"
+
+RDEPEND="
+ ${CDEPEND}
+ >=dev-python/keystoneauth-2.21.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-config-4.0.0[${PYTHON_USEDEP}]
+ !~dev-python/oslo-config-4.3.0[${PYTHON_USEDEP}]
+ !~dev-python/oslo-config-4.4.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-context-2.14.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-i18n-2.1.0[${PYTHON_USEDEP}]
+ !~dev-python/oslo-i18n-3.15.2[${PYTHON_USEDEP}]
+ >=dev-python/oslo-log-3.22.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-serialization-1.10.0[${PYTHON_USEDEP}]
+ !~dev-python/oslo-serialization-1.19.1[${PYTHON_USEDEP}]
+ >=dev-python/oslo-utils-3.20.0[${PYTHON_USEDEP}]
+ >=dev-python/positional-1.1.1[${PYTHON_USEDEP}]
+ >=dev-python/pycadf-1.1.0[${PYTHON_USEDEP}]
+ !~dev-python/pycadf-2.0.0[${PYTHON_USEDEP}]
+ >=dev-python/python-keystoneclient-3.8.0[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.14.2[${PYTHON_USEDEP}]
+ >=dev-python/six-1.9.0[${PYTHON_USEDEP}]
+ >=dev-python/webob-1.7.1[${PYTHON_USEDEP}]"
+
+PATCHES=(
+)
+
+python_prepare_all() {
+ sed -i '/^hacking/d' test-requirements.txt || die
+ distutils-r1_python_prepare_all
+}
+
+python_compile_all() {
+ use doc && emake -C doc html
+}
+
+python_test() {
+ testr init
+ testr run || die "testsuite failed under python2.7"
+ flake8 ${PN/python-/}/tests || die "run over tests folder by flake8 drew error"
+}
+
+python_install_all() {
+ use doc && local HTML_DOCS=( doc/build/html/. )
+ distutils-r1_python_install_all
+}